package com.zhyc.module.produce.manage_sheep.service;

import java.util.List;

import com.zhyc.module.produce.manage_sheep.domain.ScTransGroup;

/**
 * 转群记录Service接口
 *
 * @author ruoyi
 * @date 2025-07-10
 */
public interface IScTransGroupService {
    /**
     * 查询转群记录
     *
     * @param id 转群记录主键
     * @return 转群记录
     */
    public ScTransGroup selectScTransGroupById(Integer id);

    /**
     * 查询转群记录列表
     *
     * @param scTransGroup 转群记录
     * @return 转群记录集合
     */
    public List<ScTransGroup> selectScTransGroupList(ScTransGroup scTransGroup);

    /**
     * 新增转群记录
     *
     * @param scTransGroup 转群记录
     * @return 结果
     */
    public int insertScTransGroup(ScTransGroup scTransGroup);

    /**
     * 修改转群记录
     *
     * @param scTransGroup 转群记录
     * @return 结果
     */
    public int updateScTransGroup(ScTransGroup scTransGroup);

    /**
     * 批量删除转群记录
     *
     * @param ids 需要删除的转群记录主键集合
     * @return 结果
     */
    public int deleteScTransGroupByIds(Integer[] ids);

    /**
     * 删除转群记录信息
     *
     * @param id 转群记录主键
     * @return 结果
     */
    public int deleteScTransGroupById(Integer id);

    List<String> searchEarNumbers(String query);
}
